{
  "name": "compte-ressource-back",
  "version": "1.20.1",
  "description": "Compte Ressource Backend pour le Ministère de l'éducation",
  "license": "MIT",
  "author": "La Javaness <dev@lajavaness.com>",
  "main": "./dist/src/index.js",
  "scripts": {
    "build": "rimraf ./dist && ./node_modules/.bin/tsc --build && yarn copy-files",
    "copy-files": "copyfiles fakeDb/**/* dist/",
    "lint": "yarn run eslint --ext .ts,.tsx src tests",
    "pretest": "NODE_ENV=test yarn knex migrate:latest",
    "lint:fix": "yarn lint --fix",
    "seed": "knex seed:run",
    "migrate": "knex migrate:latest",
    "start": "node ./dist/src/index.js",
    "start:dev": "yarn build && NODE_ENV=development nodemon --watch \"src/**\" --ext \"ts,json\" --ignore \"src/**/*.spec.ts\" --exec \"ts-node src/index.ts\"",
    "docker:up": "docker-compose up -d",
    "docker:down": "docker-compose down",
    "test": "yarn pretest && jest --forceExit --runInBand",
    "test:ci": "yarn pretest && CI=true yarn test --reporters=default --verbose --coverage"
  },
  "dependencies": {
    "@asteasolutions/zod-to-openapi": "^7.0.0",
    "axios": "^1.7.2",
    "body-parser": "^1.20.2",
    "concurrently": "^8.2.2",
    "convict": "^6.2.4",
    "cookie-parser": "^1.4.6",
    "cors": "^2.8.5",
    "dotenv": "^16.4.5",
    "express": "^4.19.2",
    "express-session": "^1.18.0",
    "express-winston": "^4.2.0",
    "glob": "^10.3.16",
    "helmet": "^7.1.0",
    "jsonwebtoken": "^9.0.2",
    "jwt-decode": "^4.0.0",
    "keycloak-connect": "^24.0.4",
    "knex": "^3.1.0",
    "lodash": "^4.17.21",
    "node-fetch": "^3.3.2",
    "pg": "^8.11.5",
    "reflect-metadata": "^0.2.2",
    "swagger-jsdoc": "^6.2.8",
    "swagger-ui-express": "^5.0.0",
    "ts-convict": "^1.1.0",
    "tsx": "^4.11.0",
    "uuid": "^10.0.0",
    "winston": "^3.13.0",
    "xml2js": "^0.6.2",
    "zod": "^3.23.8",
    "zod-express-middleware": "^1.4.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^19.3.0",
    "@commitlint/config-conventional": "^19.2.2",
    "@jest/globals": "^29.7.0",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/commit-analyzer": "^13.0.0",
    "@semantic-release/exec": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/release-notes-generator": "^14.0.0",
    "@types/convict": "^6.1.6",
    "@types/cookie-parser": "^1.4.7",
    "@types/copyfiles": "^2",
    "@types/cors": "^2.8.17",
    "@types/eslint": "8.56.3",
    "@types/express": "^4.17.21",
    "@types/express-session": "^1.18.0",
    "@types/jest": "^29.5.12",
    "@types/jsonwebtoken": "^9",
    "@types/lodash": "^4",
    "@types/node": "^20.12.12",
    "@types/supertest": "^6.0.2",
    "@types/swagger-jsdoc": "^6",
    "@types/swagger-ui-express": "^4.1.6",
    "@types/uuid": "^10",
    "@types/xml2js": "^0",
    "@typescript-eslint/eslint-plugin": "^7.10.0",
    "@typescript-eslint/parser": "^7.10.0",
    "copyfiles": "^2.4.1",
    "cross-env": "^7.0.3",
    "eslint": "8.57.0",
    "eslint-config-airbnb-base": "15.0.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-jest": "^28.6.0",
    "eslint-plugin-jsdoc": "48.2.3",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-sort-imports-es6-autofix": "0.6.0",
    "eslint-plugin-sort-keys-fix": "1.1.2",
    "jest": "^29.7.0",
    "keycloak-mock": "^1.0.10",
    "nodemon": "^3.1.0",
    "prettier": "^3.2.5",
    "rimraf": "^5.0.7",
    "supertest": "^7.0.0",
    "ts-jest": "^29.1.5",
    "ts-node": "^10.9.2",
    "typescript": "^5.4.5"
  },
  "publishConfig": {
    "access": "restricted"
  },
  "engine": {
    "node": ">=20.12.2"
  },
  "packageManager": "yarn@4.2.2"
}
